$spaceamounts: (
  0,
  5,
  10,
  15,
  20,
  25,
  30,
  35,
  40,
  45,
  50,
  75,
  100,
  125,
  150,
  175,
  200,
  225,
  250,
  275,
  300,
  325,
  350,
  375,
  400
); // Adjust this to include the pixel amounts you need.
$sides: (top, bottom, left, right); // Leave this variable alone

@each $space in $spaceamounts {
  // margin class for each side
  // e.g. m-5 { margin: 5px !important }
  .m-#{$space} {
    margin: #{$space}px !important;
  }

  .w-#{$space} {
    width: #{$space}px !important;
    min-width: #{$space}px !important;
    max-width: #{$space}px !important;
  }

  .h-#{$space} {
    height: #{$space}px !important;
    min-height: #{$space}px !important;
    max-height: #{$space}px !important;
  }
  // padding class for each side
  // e.g. p-5 { padding: 5px !important }
  .p-#{$space} {
    padding: #{$space}px !important;
  }
  @each $side in $sides {
    // e.g. mr-5 = { margin-right: 5px }
    .m#{str-slice($side, 0, 1)}-#{$space} {
      margin-#{$side}: #{$space}px !important;
    }
    // e.g. pr-5 = { padding-right: 5px }
    .p#{str-slice($side, 0, 1)}-#{$space} {
      padding-#{$side}: #{$space}px !important;
    }
  }
}

.font-bold {
  font-weight: bold;
}

.hidden {
  display: none;
}
